org.apache.tinkerpop.gremlin.process.traversal

## Class IO

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.IO

-     public class IO
      extends Object

  Fields that can be provided to the `GraphTraversalSource.io(String)` using the `GraphTraversal.with(String,Object)` step modulator to provide additional configurations.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `graphml` A value to supply to `reader` or `writer` to indicate the format to use.
    `static String` | `graphson` A value to supply to `reader` or `writer` to indicate the format to use.
    `static String` | `gryo` A value to supply to `reader` or `writer` to indicate the format to use.
    `static String` | `reader` The specific `GraphReader` instance to use, the name of the fully qualified classname of such an instance or one of `graphson`, `gryo` or `graphml`.
    `static String` | `registry` A key that identifies the fully qualified class names of `IoRegistry` instances to use.
    `static String` | `writer` The specific `GraphWriter` instance to use, the name of the fully qualified classname of such an instance or one of `graphson`, `gryo` or `graphml`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### graphson

          public static final String graphson

      A value to supply to `reader` or `writer` to indicate the format to use. Using this shorthand will configure a default `GraphSONReader` or `GraphSONWriter` respectively,
      See Also:
        Constant Field Values

    - #### gryo

          public static final String gryo

      A value to supply to `reader` or `writer` to indicate the format to use. Using this shorthand will configure a default `GryoReader` or `GryoWriter` respectively,
      See Also:
        Constant Field Values

    - #### graphml

          public static final String graphml

      A value to supply to `reader` or `writer` to indicate the format to use. Using this shorthand will configure a default `GraphMLReader` or `GraphMLWriter` respectively,
      See Also:
        Constant Field Values

    - #### reader

          public static final String reader

      The specific `GraphReader` instance to use, the name of the fully qualified classname of such an instance or one of `graphson`, `gryo` or `graphml`. If this value is not specified then `GraphTraversalSource.io(String)` will attempt to construct a default `GraphReader` based on the file extension provided to it.

    - #### writer

          public static final String writer

      The specific `GraphWriter` instance to use, the name of the fully qualified classname of such an instance or one of `graphson`, `gryo` or `graphml`. If this value is not specified then `GraphTraversalSource.io(String)` will attempt to construct a default `GraphWriter` based on the file extension provided to it.

    - #### registry

          public static final String registry

      A key that identifies the fully qualified class names of `IoRegistry` instances to use. May be specified multiple times (i.e. once for each registry) using the `GraphTraversal.with(String, Object)` modulator.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.